Package org.apache.iotdb.jdbc

## Class ListDataSet

- java.lang.Object
- - org.apache.iotdb.tsfile.read.query.dataset.QueryDataSet
  - - org.apache.iotdb.jdbc.ListDataSet

    public class ListDataSet
    extends org.apache.iotdb.tsfile.read.query.dataset.QueryDataSet

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.iotdb.tsfile.read.query.dataset.QueryDataSet

`org.apache.iotdb.tsfile.read.query.dataset.QueryDataSet.EndPoint`

### Field Summary

### Fields inherited from class org.apache.iotdb.tsfile.read.query.dataset.QueryDataSet

`alreadyReturnedRowNum, ascending, columnNum, dataTypes, endPoint, fetchSize, paths, rowLimit, rowOffset, withoutAllNull, withoutAnyNull`

### Constructor Summary

Constructors
`ListDataSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNextWithoutConstraint()`
`org.apache.iotdb.tsfile.read.common.RowRecord` `nextWithoutConstraint()`
`void` `putRecord​(org.apache.iotdb.tsfile.read.common.RowRecord newRecord)`
`void` `sort​(java.util.Comparator<org.apache.iotdb.tsfile.read.common.RowRecord> c)`
`void` `sortByTimeDesc()`

### Methods inherited from class org.apache.iotdb.tsfile.read.query.dataset.QueryDataSet

`decreaseAlreadyReturnedRowNum, getColumnNum, getDataTypes, getEndPoint, getPaths, getRowLimit, getRowOffset, hasLimit, hasNext, initQueryDataSetFields, isWithoutAllNull, isWithoutAnyNull, next, setDataTypes, setEndPoint, setFetchSize, setRowLimit, setRowOffset, setWithoutAllNull, setWithoutAnyNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListDataSet

    public ListDataSet()

### Method Detail

#### hasNextWithoutConstraint

    public boolean hasNextWithoutConstraint()

Specified by:
  `hasNextWithoutConstraint` in class `org.apache.iotdb.tsfile.read.query.dataset.QueryDataSet`

#### nextWithoutConstraint

    public org.apache.iotdb.tsfile.read.common.RowRecord nextWithoutConstraint()

Specified by:
  `nextWithoutConstraint` in class `org.apache.iotdb.tsfile.read.query.dataset.QueryDataSet`

#### putRecord

    public void putRecord​(org.apache.iotdb.tsfile.read.common.RowRecord newRecord)

#### sortByTimeDesc

    public void sortByTimeDesc()

#### sort

    public void sort​(java.util.Comparator<org.apache.iotdb.tsfile.read.common.RowRecord> c)